smpl 1978:1 2010:12
genr u=nrnd

scalar alpha_1m=@mean(GER_stock_ret)
scalar  alpha_3y=@mean(GER_stock_ret_3y)
scalar  alpha_LTB=@mean(GER_ltbond)
scalar   beta_1m=@stdev(GER_stock_ret)
scalar   beta_3y=@stdev(GER_stock_ret_3y)
scalar  beta_LTB=@stdev(GER_ltbond)
'----------- Simulate artificial white noise series 
series wn_1m=alpha_1m+(beta_1m)*u
series wn_3y=alpha_3y+beta_3y*u
series wn_LTB=alpha_LTB+beta_LTB*u
'------------Plot Simulated and Actual  series 
%type="FIGURE_act_simwn"
delete {%type}*
graph {%type}.line ger_stock_ret  wn_1m
{%type}.name(1) GER Stock Returns 1m
{%type}.name(2) sim wn 
{%type}.axis grid zeroline
{%type}.setelem(1) lcolor(blue) lwidth(2) lpat(1)
{%type}.setelem(2) lcolor(green) lwidth(2) lpat(1)
'{%type}.setelem(3) lcolor(red) lwidth(2) lpat(1)

'----------- Simulate artificial AR series 
' Defining the parameters
 scalar   rho1=.99
 scalar   rho2=0
 scalar   rho3=0.8
' Simulate AR series
smpl 1978:1 1978:1
genr ger_ltbond_sim1=ger_ltbond
genr ger_ltbond_sim2=ger_ltbond
genr ger_ltbond_sim3=ger_ltbond

smpl 1978:2 2010:12
series ger_ltbond_sim1=rho1*ger_ltbond_sim1(-1)+alpha_ltb*(1-rho1)+u*beta_ltb*(1-rho1^2)^0.5
series ger_ltbond_sim2=rho2*ger_ltbond_sim1(-1)+alpha_ltb*(1-rho2)+u*beta_ltb*(1-rho2^2)^0.5
series ger_ltbond_sim3=rho3*ger_ltbond_sim1(-1)+alpha_ltb*(1-rho3)+u*beta_ltb*(1-rho3^2)^0.5

'------------Plot Simulated and Actual  series

%type="FIGURE_act_simar"
delete {%type}*
graph {%type}.line ger_ltbond  ger_ltbond_sim1 ger_ltbond_sim2 ger_ltbond_sim3
{%type}.name(1) GER 10 year YTM 
{%type}.name(2) sim AR1 rho1
{%type}.name(3) sim AR1 rho2
{%type}.name(4) sim AR1 rho3
 
{%type}.axis grid zeroline
{%type}.setelem(1) lcolor(black) lwidth(2) lpat(1)
{%type}.setelem(2) lcolor(green) lwidth(1) lpat(7)
{%type}.setelem(3) lcolor(red) lwidth(1) lpat(7)
{%type}.setelem(4) lcolor(blue) lwidth(1) lpat(7)
 
