pagecreate(page = mc) u 1 1000		'create page for experiment

genr beta_sum=0
genr beta_se_sum=0
scalar beta=0.9
!s=1000				'smpl size
!n=1000				'number of replications

for !i=1 to !n
smpl 1 1 
genr y{!i}=10

smpl 2 !s
series y{!i}=1+beta*y{!i}(-1) +nrnd

equation eq.ls y{!i}= c(1)+c(2)*y{!i}(-1)
eq.rls(c,s)

genr beta_sum=beta_sum+R_c2
genr beta_se_sum=beta_se_sum+R_c2se

next

genr betamean=beta_sum/!n
genr beta_se_mean=beta_se_sum/!n
delete y*
'plot results of mc
genr truebeta= beta
%type="FIGURE_mc"
delete {%type}*
graph {%type}.line truebeta betamean (betamean+2*beta_se_mean) (betamean-2*beta_se_mean)
{%type}.name(1) true value 
{%type}.name(2) estimated value


{%type}.axis grid zeroline
{%type}.setelem(1) lcolor(black) lwidth(2) lpat(1)
{%type}.setelem(2) lcolor(blue) lwidth(1) lpat(7)
{%type}.setelem(3) lcolor(red) lwidth(1) lpat(7)
{%type}.setelem(4) lcolor(red) lwidth(1) lpat(7)


